## Changes between Redland librdf 1.0.15 and 1.0.16

### New functions, types and enums

Functions

- unsigned char* `librdf_latin1_to_utf8_2`(const unsigned char *input, size_t length, size_t *output_length) - Replaces `librdf_latin1_to_utf8`()

- unsigned char* `librdf_utf8_to_latin1_2`(const unsigned char *input, size_t length, unsigned char discard, size_t *output_length) - Replaces `librdf_utf8_to_latin1`()

- void `librdf_world_set_raptor_init_handler`(librdf_world* world, void* user_data, librdf_raptor_init_handler handler)

- void `librdf_world_set_rasqal_init_handler`(librdf_world* world, void* user_data, librdf_rasqal_init_handler handler)

Types

- librdf_raptor_init_handler

- librdf_rasqal_init_handler